ruby-minitest_5.10.3-1_all.deb


Advertisement

Description

ruby-minitest - Ruby test tools supporting TDD, BDD, mocking, and benchmarking

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name ruby-minitest
Package version 5.10.3
Package release 1
Package architecture all
Package type deb
Installed size 143 B
Download size 37.74 KB
Official Mirror archive.ubuntu.com
minitest provides a complete suite of testing facilities supporting
TDD, BDD, mocking, and benchmarking.
minitest/unit is a small and incredibly fast unit testing framework.
It provides a rich set of assertions to make your tests clean and
readable.
minitest/spec is a functionally complete spec engine. It hooks onto
minitest/unit and seamlessly bridges test assertions over to spec
expectations.
minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner. Now you can assert that your newb
co-worker doesn't replace your linear algorithm with an exponential
one!
minitest/mock by Steven Baker, is a beautifully tiny mock object
framework.
minitest/pride shows pride in testing and adds coloring to your test
output.
minitest/unit is meant to have a clean implementation for language
implementors that need a minimal set of methods to bootstrap a working
test suite. For example, there is no magic involved for test-case
discovery.

Alternatives

Package Version Architecture Repository
ruby-minitest_5.10.3-1_all.deb 5.10.3 all Ubuntu Main
ruby-minitest - - -

Download

Type URL
Binary Package ruby-minitest_5.10.3-1_all.deb
Source Package ruby-minitest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-minitest deb package:
    # sudo apt-get install ruby-minitest

Files

Path
/usr/lib/ruby/vendor_ruby/minitest.rb
/usr/lib/ruby/vendor_ruby/hoe/minitest.rb
/usr/lib/ruby/vendor_ruby/minitest/assertions.rb
/usr/lib/ruby/vendor_ruby/minitest/autorun.rb
/usr/lib/ruby/vendor_ruby/minitest/benchmark.rb
/usr/lib/ruby/vendor_ruby/minitest/expectations.rb
/usr/lib/ruby/vendor_ruby/minitest/hell.rb
/usr/lib/ruby/vendor_ruby/minitest/mock.rb
/usr/lib/ruby/vendor_ruby/minitest/parallel.rb
/usr/lib/ruby/vendor_ruby/minitest/pride.rb
/usr/lib/ruby/vendor_ruby/minitest/pride_plugin.rb
/usr/lib/ruby/vendor_ruby/minitest/spec.rb
/usr/lib/ruby/vendor_ruby/minitest/test.rb
/usr/lib/ruby/vendor_ruby/minitest/unit.rb
/usr/share/doc/ruby-minitest/README.Debian
/usr/share/doc/ruby-minitest/README.rdoc.gz
/usr/share/doc/ruby-minitest/changelog.Debian.gz
/usr/share/doc/ruby-minitest/copyright
/usr/share/rubygems-integration/all/specifications/minitest-5.10.3.gemspec

Changelog

2017-07-26 - Lucas Nussbaum <lucas@debian.org>
ruby-minitest (5.10.3-1) unstable; urgency=medium
* New upstream version 5.10.3.
* Bump Standards-Version to 4.0.0. No changes needed.
2017-07-02 - Lucas Nussbaum <lucas@debian.org>
ruby-minitest (5.10.2-1) unstable; urgency=medium
* New upstream version 5.10.2
* Refresh patches
* Disable two more failing tests
2016-06-01 - Cédric Boutillier <boutil@debian.org>
ruby-minitest (5.9.0-1) unstable; urgency=medium
* Imported Upstream version 5.9.0
* Bump Standards-Version to 3.9.8 (no changes needed)
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
* Refresh patches
* Add encoding patch to force UTF-8 encoding in the tests
2016-03-01 - Christian Hofstaedtler <zeha@debian.org>
ruby-minitest (5.8.4-2) unstable; urgency=medium
* Team upload.
* Drop dependency on ruby to reduce dependency cycle with ruby2.3
* Update packaging using dh-make-ruby -w
* Set Multi-Arch: foreign to allow crossinstall of ruby itself
2016-01-23 - Cédric Boutillier <boutil@debian.org>
ruby-minitest (5.8.4-1) unstable; urgency=medium
* Imported Upstream version 5.8.4
* Bump debhelper compatibility level to 9
2015-12-28 - Antonio Terceiro <terceiro@debian.org>
ruby-minitest (5.8.3-1) unstable; urgency=medium
* Team upload
* new upstream release
2015-08-15 - Antonio Terceiro <terceiro@debian.org>
ruby-minitest (5.8.0-1) unstable; urgency=medium
* Team upload
* New upstream release
2015-06-21 - Cédric Boutillier <boutil@debian.org>
ruby-minitest (5.7.0-1) unstable; urgency=medium
* Imported Upstream version 5.7.0
* Update to exclude one more test
2015-04-29 - Cédric Boutillier <boutil@debian.org>
ruby-minitest (5.6.1-1) unstable; urgency=medium
* Imported Upstream version 5.6.1
* Upload to unstable
* README and History files are now rdoc
* ruby-minitest breaks interpreter's test/unit. The solution is to install
the ruby-test-unit package.
- Suggests ruby-test-unit
- add a README.Debian to explain the problem and the solution
(Closes: #772462)
* Refresh disable-require-rubygems
* Update years in the copyright file
2015-04-03 - Cédric Boutillier <boutil@debian.org>
ruby-minitest (5.5.1-1) experimental; urgency=medium
* Imported Upstream version 5.5.1

See Also

Package Description
ruby-net-telnet_0.1.1-2_all.deb telnet client library
ruby-power-assert_0.3.0-1_all.deb library showing values of variables and method calls in an expression
ruby-test-unit_3.2.5-1_all.deb unit testing framework for Ruby
ruby2.5-dev_2.5.1-1ubuntu1_amd64.deb Header files for compiling extension modules for the Ruby 2.5
ruby2.5-doc_2.5.1-1ubuntu1_all.deb Documentation for Ruby 2.5
ruby2.5_2.5.1-1ubuntu1_amd64.deb Interpreter of object-oriented scripting language Ruby
ruby_2.5.1_amd64.deb Interpreter of object-oriented scripting language Ruby (default version)
rubygems-integration_1.11_all.deb integration of Debian Ruby packages with Rubygems
run-one_1.17-0ubuntu1_all.deb run just one instance of a command and its args at a time
sa-compile_3.4.1-8build1_all.deb Tools for compiling SpamAssassin rules into C
samba-common-bin_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba common files used by both the server and the client
samba-common_4.7.6+dfsg~ubuntu-0ubuntu2_all.deb common files used by both the Samba server and client
samba-dev_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb tools for extending Samba
samba-dsdb-modules_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba Directory Services Database
samba-libs_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba core libraries
Advertisement
Advertisement